Subject: Re: [PATCH EGIT Allow for git config to not error when lines have '/r' in them.]

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 12 Jan 2009 09:10:45 -0800

Robin Rosenberg <[email-masked]> wrote:
> torsdag 08 januari 2009 04:10:05 skrev Ryan Alberts:
> > I have attached a small fix for when a git config has /r lines in the file.
> > I have to admit that I do not usually submit patches to the open source
> > community and I am not very familiar with the process :-)  Please, please,
> > let me know if I can do something different next time!
> 
> Back to the patch. I think we should only ignore \r (not /r, but could say CR in
> a comment) before an LF. 

I disagree; ignoring CR anyplace in the file should be fine, unless
it is within a double quoted value, in which case it should use
the same rule that \n would use within the same region.

' ', \n, \t all act the same with regards to being (mostly) ignored
whitespace.  \r is no different.  Especially for anyone crazy enough
to still be using a Mac style formatted file, with only CRs in it.

-- 
Shawn.